Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/avalanche_dry/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/avalanche_dry/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/avalanche_dry/produce_results.py	(revision 8912)
@@ -4,4 +4,5 @@
 from anuga_validation_tests.utilities.fabricate import *
 from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities.typeset_report import typeset_report
 
 
@@ -11,5 +12,6 @@
     run_validation_script('numerical_avalanche_dry.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')  
+    typeset_report()    
+
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/avalanche_wet/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/avalanche_wet/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/avalanche_wet/produce_results.py	(revision 8912)
@@ -3,6 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
-from os.path import join
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 # Setup the python scripts which produce the output for this
@@ -11,5 +11,5 @@
     run_validation_script('numerical_avalanche_wet.py')
     run_validation_script('plot_results.py')
-    run('python', join('..','..','typeset_report.py'))    
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_periodic/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_periodic/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_periodic/produce_results.py	(revision 8912)
@@ -3,6 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
-
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 # Setup the python scripts which produce the output for this
@@ -12,5 +12,6 @@
     run_validation_script('plot_results_cross_section.py')
     run_validation_script('plot_results_origin_wrt_time.py')
-    run('python', 'produce_report.py')     
+    typeset_report()    
+
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_transient/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_transient/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_transient/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 
@@ -11,5 +12,5 @@
     run_validation_script('numerical_cg_transient.py')
     run_validation_script('plot_results.py')  
-    run('python', 'produce_report.py')   
+    typeset_report()    
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/dam_break_dry/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/dam_break_dry/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/dam_break_dry/produce_results.py	(revision 8912)
@@ -3,6 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
-import os
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 # Setup the python scripts which produce the output for this
@@ -11,5 +11,6 @@
     run_validation_script('numerical_dam_break_dry.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')
+    typeset_report()
+
     
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/dam_break_wet/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/dam_break_wet/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/dam_break_wet/produce_results.py	(revision 8912)
@@ -4,6 +4,6 @@
 from anuga_validation_tests.utilities.fabricate import *
 from anuga_validation_tests.utilities import run_validation_script
-from anuga_validation_tests.utilities import produce_report
-import os
+from anuga_validation_tests.utilities import typeset_report
+
 
 # Setup the python scripts which produce the output for this
@@ -12,5 +12,5 @@
     run_validation_script('numerical_dam_break_wet.py')
     run_validation_script('plot_results.py')
-    produce_report()
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/deep_wave/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/deep_wave/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/deep_wave/produce_results.py	(revision 8912)
@@ -4,5 +4,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 # Setup the python scripts which produce the output for this
@@ -11,5 +12,5 @@
     run_validation_script('run_wave.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')      
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/lake_at_rest_immersed_bump/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/lake_at_rest_immersed_bump/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/lake_at_rest_immersed_bump/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 
@@ -11,5 +12,5 @@
     run_validation_script('numerical_immersed_bump.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')      
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/lake_at_rest_steep_island/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/lake_at_rest_steep_island/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/lake_at_rest_steep_island/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 
@@ -11,5 +12,5 @@
     run_validation_script('numerical_steep_island.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')      
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/landslide_tsunami/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/landslide_tsunami/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/landslide_tsunami/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 
@@ -11,5 +12,5 @@
     run_validation_script('runup.py')
     run_validation_script('plot_results.py')
-    run('python', 'typeset_report.py')
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/mac_donald_short_channel/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/mac_donald_short_channel/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/mac_donald_short_channel/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 
@@ -11,5 +12,5 @@
     run_validation_script('numerical_MacDonald.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')      
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/parabolic_basin/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/parabolic_basin/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/parabolic_basin/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 
@@ -12,5 +13,5 @@
     run_validation_script('plot_results_cross_section.py')
     run_validation_script('plot_results_origin_wrt_time.py')    
-    run('python', 'produce_report.py')    
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/paraboloid_basin/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/paraboloid_basin/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/paraboloid_basin/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 
@@ -12,5 +13,5 @@
     run_validation_script('plot_results_cross_section.py')
     run_validation_script('plot_results_origin_wrt_time.py')    
-    run('python', 'produce_report.py')    
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/river_at_rest_varying_topo_width/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/river_at_rest_varying_topo_width/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/river_at_rest_varying_topo_width/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 
@@ -11,5 +12,5 @@
     run_validation_script('numerical_varying_width.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')      
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/rundown_mild_slope/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/rundown_mild_slope/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/rundown_mild_slope/produce_results.py	(revision 8912)
@@ -8,5 +8,6 @@
 
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 # Setup the python scripts which produce the output for this
@@ -15,5 +16,5 @@
     run_validation_script('numerical_rundown_channel.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')    
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/runup_on_beach/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/runup_on_beach/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/runup_on_beach/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 
@@ -11,5 +12,5 @@
     run_validation_script('numerical_runup.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')    
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/runup_on_sinusoid_beach/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/runup_on_sinusoid_beach/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/runup_on_sinusoid_beach/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 # Setup the python scripts which produce the output for this
@@ -10,5 +11,5 @@
     run_validation_script('numerical_runup_sinusoid.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')    
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/subcritical_over_bump/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/subcritical_over_bump/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/subcritical_over_bump/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 
@@ -11,5 +12,5 @@
     run_validation_script('numerical_subcritical.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')     
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/transcritical_with_shock/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/transcritical_with_shock/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/transcritical_with_shock/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 
@@ -11,5 +12,5 @@
     run_validation_script('numerical_transcritical.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')  
+    typeset_report()
     
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/transcritical_without_shock/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/transcritical_without_shock/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/transcritical_without_shock/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 
@@ -11,5 +12,5 @@
     run_validation_script('numerical_transcritical.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')      
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/trapezoidal_channel/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/trapezoidal_channel/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/trapezoidal_channel/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 # Setup the python scripts which produce the output for this
@@ -10,5 +11,5 @@
     run_validation_script('numerical_channel_floodplain.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')  
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/trapezoidal_channel/results.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/trapezoidal_channel/results.tex	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/trapezoidal_channel/results.tex	(revision 8912)
@@ -33,5 +33,5 @@
 
 
-\DTLloaddb{dischargeout}{Analytical_exact/trapezoidal_channel/discharge_outputs.txt}
+\DTLloaddb{dischargeout}{analytical_exact/trapezoidal_channel/discharge_outputs.txt}
 %\DTLloaddb{dischargeout}{discharge_outputs.txt}
 \begin{table}
Index: /trunk/anuga_core/source/anuga_validation_tests/behaviour_only/lid_driven_cavity/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/behaviour_only/lid_driven_cavity/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/behaviour_only/lid_driven_cavity/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 
@@ -11,5 +12,5 @@
     run_validation_script('numerical_lid_driven_cavity.py')
     run_validation_script('plot_results.py')
-    run('python', 'produce_report.py')  
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/case_studies/isolated_building/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/case_studies/isolated_building/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/case_studies/isolated_building/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 # Setup the python scripts which produce the output for this
@@ -10,4 +11,5 @@
     #run_validation_script('run_problem.py')
     #run_validation_script('plot_problem.py')
+    #typeset_report()
     pass
 
Index: /trunk/anuga_core/source/anuga_validation_tests/case_studies/okushiri/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/case_studies/okushiri/produce_results.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/case_studies/okushiri/produce_results.py	(revision 8912)
@@ -3,5 +3,6 @@
 #--------------------------------
 from anuga_validation_tests.utilities.fabricate import *
-from anuga_validation_tests.utilities.run_validation import run_validation_script
+from anuga_validation_tests.utilities import run_validation_script
+from anuga_validation_tests.utilities import typeset_report
 
 # Setup the python scripts which produce the output for this
@@ -12,5 +13,5 @@
     run_validation_script('run_okushiri.py')
     run_validation_script('compare_timeseries_with_measures.py')
-    run('python', 'produce_report.py')
+    typeset_report()
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/report.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/report.tex	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/report.tex	(revision 8912)
@@ -5,4 +5,5 @@
 \usepackage[section]{placeins} % 'one-shot' command to nicely place figures
 \usepackage{datatool}
+\usepackage{hyperref}
 \usepackage{url}
 \usepackage{amsmath}
@@ -34,56 +35,41 @@
 %======================
 
-\inputresults{Analytical_exact/dam_break_dry}
-\inputresults{Analytical_exact/dam_break_wet}
-\inputresults{Analytical_exact/avalanche_dry}
-\inputresults{Analytical_exact/avalanche_wet}
-\inputresults{Analytical_exact/carrier_greenspan_periodic}
-\inputresults{Analytical_exact/carrier_greenspan_transient}
-\inputresults{Analytical_exact/deep_wave}
-\inputresults{Analytical_exact/MacDonald_short_channel}
-\inputresults{Analytical_exact/parabolic_basin}
-\inputresults{Analytical_exact/paraboloid_basin}
+\inputresults{analytical_exact/dam_break_dry}
+\inputresults{analytical_exact/dam_break_wet}
+\inputresults{analytical_exact/avalanche_dry}
+\inputresults{analytical_exact/avalanche_wet}
+\inputresults{analytical_exact/carrier_greenspan_periodic}
+\inputresults{analytical_exact/carrier_greenspan_transient}
+\inputresults{analytical_exact/deep_wave}
+\inputresults{analytical_exact/mac_donald_short_channel}
+\inputresults{analytical_exact/parabolic_basin}
+\inputresults{analytical_exact/paraboloid_basin}
 
-\inputresults{Analytical_exact/runup_on_beach}
-\inputresults{Analytical_exact/runup_on_sinusoid_beach}
-\inputresults{Analytical_exact/landslide_tsunami}
+\inputresults{analytical_exact/runup_on_beach}
+\inputresults{analytical_exact/runup_on_sinusoid_beach}
+\inputresults{analytical_exact/landslide_tsunami}
 
-\inputresults{Analytical_exact/lake_at_rest_immersed_bump}
-\inputresults{Analytical_exact/lake_at_rest_steep_island}
-\inputresults{Analytical_exact/river_at_rest_varying_topo_width}
-\inputresults{Analytical_exact/rundown_mild_slope}
-\inputresults{Analytical_exact/subcritical_over_bump}
-\inputresults{Analytical_exact/transcritical_with_shock}
-\inputresults{Analytical_exact/transcritical_without_shock}
-\inputresults{Analytical_exact/trapezoidal_channel}
+\inputresults{analytical_exact/lake_at_rest_immersed_bump}
+\inputresults{analytical_exact/lake_at_rest_steep_island}
+\inputresults{analytical_exact/river_at_rest_varying_topo_width}
+\inputresults{analytical_exact/rundown_mild_slope}
+\inputresults{analytical_exact/subcritical_over_bump}
+\inputresults{analytical_exact/transcritical_with_shock}
+\inputresults{analytical_exact/transcritical_without_shock}
+\inputresults{analytical_exact/trapezoidal_channel}
 
 %%======================
-\chapter{Tests using experimental data}
+\chapter{Tests against reference data or solutions}
 %%======================
-\inputresults{Experimental_data/dam_break_Yeh_Petroff}
+\inputresults{experimental_data/dam_break_yeh_petroff}
 
+\inputresults{behaviour_only/lid_driven_cavity}
+%\inputresults{behaviour_only/river_flow_varying_topo_width}
 
+\inputresults{other_references/radial_dam_break_dry}
+\inputresults{other_references/radial_dam_break_wet}
 
-%%======================
-\chapter{Tests for shallow water behaviour}
-%%======================
-\inputresults{Behaviour_only/lid_driven_cavity}
-%\inputresults{Behaviour_only/river_flow_varying_topo_width}
+\inputresults{case_studies/okushiri}
 
-
-
-%%======================
-\chapter{Tests against Other Referece Solutions}
-%%======================
-\inputresults{Other_references/radial_dam_break_dry}
-\inputresults{Other_references/radial_dam_break_wet}
-
-
-%%======================
-\chapter{Case studies}
-%%======================
-%\inputresults{Tests/Benchmarks/Isolated_Building}
-\inputresults{Case_studies/Okushiri}
-%\inputresults{Tests/Real_World/Patong}
 
 %======================
Index: /trunk/anuga_core/source/anuga_validation_tests/saved_parameters.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/saved_parameters.tex	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/saved_parameters.tex	(revision 8912)
@@ -1,5 +1,5 @@
-\newcommand{\cfl}{\UScore{0.9}}
-\newcommand{\alg}{\UScore{tsunami}}
+\newcommand{\cfl}{\UScore{1.0}}
+\newcommand{\alg}{\UScore{1_5}}
 \newcommand{\majorR}{\UScore{1.3.0-beta}}
-\newcommand{\minorR}{\UScore{8897}}
-\newcommand{\timeR}{{Tue Jun 11 15:51:09 2013}}
+\newcommand{\minorR}{\UScore{8909}}
+\newcommand{\timeR}{{Wed Jun 12 20:31:08 2013}}
Index: /trunk/anuga_core/source/anuga_validation_tests/typeset_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/typeset_report.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/typeset_report.py	(revision 8912)
@@ -14,3 +14,4 @@
 os.system('bibtex report')
 os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 
Index: /trunk/anuga_core/source/anuga_validation_tests/utilities/__init__.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/utilities/__init__.py	(revision 8911)
+++ /trunk/anuga_core/source/anuga_validation_tests/utilities/__init__.py	(revision 8912)
@@ -8,5 +8,5 @@
 
 
-from produce_report import produce_report
+from typeset_report import typeset_report
 from run_validation import run_validation_script
 
Index: unk/anuga_core/source/anuga_validation_tests/utilities/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/utilities/produce_report.py	(revision 8911)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-
-
-
-
-def produce_report():
-
-    from fabricate import run
-
-    run('pdflatex', '-shell-escape', '-interaction=batchmode', 'report.tex')
-    run('bibtex', 'report')
-    run('pdflatex', '-shell-escape', '-interaction=batchmode', 'report.tex')
-
-
Index: /trunk/anuga_core/source/anuga_validation_tests/utilities/typeset_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/utilities/typeset_report.py	(revision 8912)
+++ /trunk/anuga_core/source/anuga_validation_tests/utilities/typeset_report.py	(revision 8912)
@@ -0,0 +1,27 @@
+#! /usr/bin/python
+
+# To change this template, choose Tools | Templates
+# and open the template in the editor.
+
+__author__="steve"
+__date__ ="$13/03/2013 4:24:51 PM$"
+
+
+
+
+
+def typeset_report():
+
+    #import os
+
+    #os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
+    #os.system('bibtex report')
+    #os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
+    #os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
+
+    from fabricate import *
+
+    run('pdflatex', '-shell-escape',  '-interaction=batchmode',  'report.tex')
+    run('bibtex', 'report')
+    run('pdflatex', '-shell-escape',  '-interaction=batchmode',  'report.tex')
+    run('pdflatex', '-shell-escape',  '-interaction=batchmode',  'report.tex')