Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/avalanche_dry/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/avalanche_dry/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_periodic/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_periodic/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_transient/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_transient/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/dam_break_dry/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/dam_break_dry/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/deep_wave/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/deep_wave/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/lake_at_rest_immersed_bump/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/lake_at_rest_immersed_bump/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/lake_at_rest_steep_island/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/lake_at_rest_steep_island/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex report.tex')
-os.system('bibtex report')
-os.system('pdflatex report.tex')
-os.system('bibtex report')
-os.system('pdflatex report.tex')
-os.system('bibtex report')
-os.system('pdflatex report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/mac_donald_short_channel/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/mac_donald_short_channel/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/parabolic_basin/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/parabolic_basin/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/paraboloid_basin/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/paraboloid_basin/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/river_at_rest_varying_topo_width/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/river_at_rest_varying_topo_width/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex report.tex')
-os.system('bibtex report')
-os.system('pdflatex report.tex')
-os.system('bibtex report')
-os.system('pdflatex report.tex')
-os.system('bibtex report')
-os.system('pdflatex report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/rundown_mild_slope/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/rundown_mild_slope/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/runup_on_beach/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/runup_on_beach/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/runup_on_sinusoid_beach/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/runup_on_sinusoid_beach/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/subcritical_over_bump/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/subcritical_over_bump/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/transcritical_with_shock/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/transcritical_with_shock/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/transcritical_without_shock/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/transcritical_without_shock/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/analytical_exact/trapezoidal_channel/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/trapezoidal_channel/produce_report.py	(revision 8912)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')