Index: unk/anuga_core/source/anuga_validation_tests/behaviour_only/lid_driven_cavity/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/behaviour_only/lid_driven_cavity/produce_report.py	(revision 8913)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/case_studies/okushiri/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/case_studies/okushiri/produce_report.py	(revision 8913)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/experimental_data/dam_break_yeh_petroff/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/experimental_data/dam_break_yeh_petroff/produce_report.py	(revision 8913)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/other_references/radial_dam_break_dry/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/other_references/radial_dam_break_dry/produce_report.py	(revision 8913)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex report.tex')
-os.system('bibtex report')
-os.system('pdflatex report.tex')
-os.system('bibtex report')
-os.system('pdflatex report.tex')
-os.system('bibtex report')
-os.system('pdflatex report.tex')
Index: unk/anuga_core/source/anuga_validation_tests/other_references/radial_dam_break_wet/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/other_references/radial_dam_break_wet/produce_report.py	(revision 8913)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-if __name__ == "__main__":
-    print "Hello World";
-
-import os
-
-
-os.system('pdflatex report.tex')
-os.system('bibtex report')
-os.system('pdflatex report.tex')
-os.system('bibtex report')
-os.system('pdflatex report.tex')
-os.system('bibtex report')
-os.system('pdflatex report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/saved_parameters.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/saved_parameters.tex	(revision 8913)
+++ /trunk/anuga_core/source/anuga_validation_tests/saved_parameters.tex	(revision 8914)
@@ -2,4 +2,4 @@
 \newcommand{\alg}{\UScore{1_5}}
 \newcommand{\majorR}{\UScore{1.3.0-beta}}
-\newcommand{\minorR}{\UScore{8909}}
-\newcommand{\timeR}{{Wed Jun 12 20:31:08 2013}}
+\newcommand{\minorR}{\UScore{8911}}
+\newcommand{\timeR}{{Wed Jun 12 20:52:38 2013}}