Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/avalanche_dry/validate_avalanche_dry.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/avalanche_dry/validate_avalanche_dry.py	(revision 8921)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/avalanche_dry/validate_avalanche_dry.py	(revision 8922)
@@ -32,5 +32,5 @@
             print indent+'Running simulation script'
 
-        s = 'produce_results.py'
+        s = 'numerical_avalanche_dry.py'
         res = os.system('python %s > validate_output.stdout' %s)
 
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/avalanche_wet/validate_avalanche_wet.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/avalanche_wet/validate_avalanche_wet.py	(revision 8921)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/avalanche_wet/validate_avalanche_wet.py	(revision 8922)
@@ -32,5 +32,5 @@
             print indent+'Running simulation script'
 
-        s = 'produce_results.py'
+        s = 'numerical_avalanche_wet.py'
         res = os.system('python %s > validate_output.stdout' %s)
 
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_periodic/validate_carrier_greenspan_periodic.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_periodic/validate_carrier_greenspan_periodic.py	(revision 8921)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_periodic/validate_carrier_greenspan_periodic.py	(revision 8922)
@@ -32,5 +32,5 @@
             print indent+'Running simulation script'
 
-        s = 'produce_results.py'
+        s = 'numerical_carrier_greenspan.py'
         res = os.system('python %s > validate_output.stdout' %s)
 
Index: /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_transient/validate_carrier_greenspan_transient.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_transient/validate_carrier_greenspan_transient.py	(revision 8921)
+++ /trunk/anuga_core/source/anuga_validation_tests/analytical_exact/carrier_greenspan_transient/validate_carrier_greenspan_transient.py	(revision 8922)
@@ -34,5 +34,5 @@
             print indent+'Running simulation script'
 
-        s = 'produce_results.py'
+        s = 'numerical_cg_transient.py'
         res = os.system('python %s > validate_output.stdout' %s)
 
Index: /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/build_urs_boundary.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/build_urs_boundary.py	(revision 8921)
+++ /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/build_urs_boundary.py	(revision 8922)
@@ -10,5 +10,5 @@
 import project
 
-from Scientific.IO.NetCDF import NetCDFFile
+from anuga.file.netcdf import NetCDFFile
 import numpy as num
 
Index: /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/cmpsww.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/cmpsww.py	(revision 8921)
+++ /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/cmpsww.py	(revision 8922)
@@ -12,5 +12,5 @@
 import os.path
 import getopt
-from Scientific.IO.NetCDF import NetCDFFile
+from anuga.file.netcdf import NetCDFFile
 import numpy as num
 from anuga.config import netcdf_mode_r
Index: /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/download_data_for_patong_scenario.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/download_data_for_patong_scenario.py	(revision 8921)
+++ /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/download_data_for_patong_scenario.py	(revision 8922)
@@ -27,8 +27,8 @@
 ##       but that only gets the main web page for the entity, not the
 ##       Sourceforge download mirror server.
-MIRRORS = ['http://transact.dl.sourceforge.net/sourceforge/anuga/',       # au
+MIRRORS = ['http://jaist.dl.sourceforge.net/sourceforge/anuga/',          # jp
+           'http://transact.dl.sourceforge.net/sourceforge/anuga/',       # au
            'http://voxel.dl.sourceforge.net/sourceforge/anuga/',          # us
-           'http://superb-west.dl.sourceforge.net/sourceforge/anuga/',    # us
-           'http://jaist.dl.sourceforge.net/sourceforge/anuga/',          # jp
+           'http://superb-west.dl.sourceforge.net/sourceforge/anuga/',    # u
            'http://dfn.dl.sourceforge.net/sourceforge/anuga/'             # de
           ]
Index: /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/project.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/project.py	(revision 8921)
+++ /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/project.py	(revision 8922)
@@ -36,5 +36,5 @@
 
 use_buildings = False   # FIXME: 6/6/2013 -- Code needs to be edited to support 'True'
-setup = 'basic'         #'final'         # This can be one of three values
+setup = 'basic'         # This can be one of three values
                         #    trial - coarsest mesh, fast
                         #    basic - coarse mesh
Index: /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/run_model.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/run_model.py	(revision 8921)
+++ /trunk/anuga_core/source/anuga_validation_tests/case_studies/patong/run_model.py	(revision 8922)
@@ -21,5 +21,5 @@
 
 # Related major packages
-from Scientific.IO.NetCDF import NetCDFFile
+from anuga.file.netcdf import NetCDFFile
 
 import anuga
@@ -244,5 +244,5 @@
 for t in domain.evolve(yieldstep=project.yieldstep,
                        finaltime=project.finaltime):
-    time.sleep(myid*0.01) # To get printing separated
+    #time.sleep(myid*0.01) # To get printing separated
     print 'Processor ', myid
     log.critical(domain.timestepping_statistics())
Index: /trunk/anuga_core/source/anuga_validation_tests/saved_parameters.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/saved_parameters.tex	(revision 8921)
+++ /trunk/anuga_core/source/anuga_validation_tests/saved_parameters.tex	(revision 8922)
@@ -1,5 +1,5 @@
-\newcommand{\cfl}{\UScore{0.9}}
-\newcommand{\alg}{\UScore{2_0}}
+\newcommand{\cfl}{\UScore{1.0}}
+\newcommand{\alg}{\UScore{1_5}}
 \newcommand{\majorR}{\UScore{1.3.0-beta}}
-\newcommand{\minorR}{\UScore{8914}}
-\newcommand{\timeR}{{Wed Jun 12 23:46:14 2013}}
+\newcommand{\minorR}{\UScore{8921}}
+\newcommand{\timeR}{{Sat Jun 15 18:13:53 2013}}