Index: trunk/anuga_core/user_manual/anuga_user_manual.tex
===================================================================
--- trunk/anuga_core/user_manual/anuga_user_manual.tex	(revision 8937)
+++ trunk/anuga_core/user_manual/anuga_user_manual.tex	(revision 8942)
@@ -145,9 +145,9 @@
 \url{http://sourceforge.net/projects/anuga}. A snapshot of work in progress is
 available through the \anuga software repository at
-\url{https://datamining.anu.edu.au/svn/anuga/trunk/anuga_core/source/anuga}
+\url{https://anuga.anu.edu.au/svn/anuga/trunk/anuga_core/source/anuga}
 where the more adventurous reader might like to go.
 
 This manual describes \anuga version \version. To check for later versions of this manual
-go to \url{https://datamining.anu.edu.au/anuga}.
+go to \url{https://anuga.anu.edu.au}.
 
 \section{Scope}
@@ -160,5 +160,5 @@
 
 The latest installation instructions may be found at:
-\url{https://datamining.anu.edu.au/anuga/attachment/wiki/WikiStart/anuga_installation_guide-1.2.0.pdf}.
+\url{http://anuga.anu.edu.au/raw-attachment/wiki/WikiStart/anuga_installation_guide-1.2.1.pdf}.
 
 \section{Audience}
@@ -389,5 +389,6 @@
 
 \begin{verbatim}
-domain.set_quantities_to_be_stored({'stage': 2, 'xmomentum': 2, 'ymomentum': 2, 'elevation': 1})
+domain.set_quantities_to_be_stored({
+'stage': 2, 'xmomentum': 2, 'ymomentum': 2, 'elevation': 1})
 \end{verbatim}
 
@@ -590,5 +591,6 @@
   File "mesh_test.py", line 114, in ?
     domain.set_boundary({'west': Bi, 'east': Bo, 'north': Br, 'south': Br})
-  File "X:\inundation\sandpits\onielsen\anuga_core\source\anuga\abstract_2d_finite_volumes\domain.py", line 505, in set_boundary
+  File "X:\inundation\sandpits\onielsen\anuga_core\source\anuga\
+    abstract_2d_finite_volumes\domain.py", line 505, in set_boundary
     raise msg
 ERROR (domain.py): Tag "exterior" has not been bound to a boundary object.
@@ -607,5 +609,6 @@
 
 \begin{verbatim}
-Bw = anuga.Time_boundary(domain=domain, f=lambda t: [(0.1*sin(t*2*pi)-0.3), 0.0, 0.0])
+Bw = anuga.Time_boundary(domain=domain, 
+f=lambda t: [(0.1*sin(t*2*pi)-0.3), 0.0, 0.0])
 \end{verbatim}
 
@@ -724,5 +727,6 @@
 
 \begin{verbatim}
-points, vertices, boundary = anuga.rectangular_cross(m, n, len1=length, len2=width)
+points, vertices, boundary = anuga.rectangular_cross(m, n, 
+                                                     len1=length, len2=width)
 \end{verbatim}
 
@@ -740,6 +744,6 @@
 dx = dy = 1           # Resolution: Length of subdivisions on both axes
 
-points, vertices, boundary = anuga.rectangular_cross(int(length/dx), int(width/dy),
-                                               len1=length, len2=width)
+points, vertices, boundary = anuga.rectangular_cross(int(length/dx), 
+                                   int(width/dy), len1=length, len2=width)
 \end{verbatim}
 
@@ -1426,7 +1430,7 @@
 %\begin{tabular}{ll}
 \begin{tabular}{p{2.0cm} p{14.0cm}}
-  \emph{use\_cache} & Specifies whether caching is to be used for improved performance.
-                      See Section \ref{sec:caching} for details on the underlying caching functionality\\
-  \emph{verbose} & If \code{True}, provides detailed terminal output to the user\\
+  \emph{use\_cache} & Specifies whether caching is to be used for improved performance. See Section \ref{sec:caching} for details\\
+                    & on the underlying caching functionality\\                      
+  \emph{verbose}    & If \code{True}, provides detailed terminal output to the user\\
 \end{tabular}
 
@@ -2206,8 +2210,10 @@
 \begin{verbatim} 
 # Create digital elevation model from points file
-domain.set_quantity('elevation', filename='elevation_file.pts, verbose=True)
+domain.set_quantity('elevation', filename=
+                                 'elevation_file.pts', verbose=True)
 
 # Add buildings from file
-building_polygons, building_heights = anuga.load_csv_as_building_polygons(building_file)
+building_polygons, building_heights = 
+                  anuga.load_csv_as_building_polygons(building_file)
 
 B = []